Name:           miracle-zabbix-support-tools
Version:        1.1.5
Release:        1.ML
Summary:        The useful tools for MIRACLE ZBX support work provided by MIRACLE LINUX

Group:          Utilities
License:        MIRACLE LINUX CORPORATION
ExclusiveOS:	Linux
URL:            http://www.miraclelinux.com/
Source0:        mlzbxinfo
Buildarch:      noarch
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The useful tools for MIRACLE ZBX support work provided by MIRACLE LINUX.
It includes the tools to get the machine and zabbix database information.

%prep
%setup -q -c -T
install -m 0700 %{SOURCE0} .

%build

%install
rm -rf $RPM_BUILD_ROOT
# cp mlzbxinfo files
install -d $RPM_BUILD_ROOT%{_sbindir}/
install -m 0700 mlzbxinfo $RPM_BUILD_ROOT%{_sbindir}/

%clean
rm -rf $RPM_BUILD_ROOT

%pre

%post

%preun

%files
%defattr(-,root,root,-)
%{_sbindir}/mlzbxinfo

%changelog
* Mon Oct 27 2014 Takanori Suzuki <takanori.suzuki@miraclelinux.com> 1.1.5-1.%{?dist}
- Add ip and ss command for supporting ML7/CentOS7/RHEL7
- Add "show engine innodb status;" supporting ML7/CentOS7/RHEL7
- Change the version number naming rule a bit

* Thu Jul 17 2014 Takanori Suzuki <takanori.suzuki@miraclelinux.com> 1.1.4-1%{?dist}
- Add snmp related files for copying target
- Fix problem about "none" for "-t" option with "-o" option
- Add xz option for "-t" option

* Fri Apr 18 2014 Takanori Suzuki <takanori.suzuki@miraclelinux.com> 1.1.3-1%{?dist}
- Commented out "USE .*" and "CREATE DATABASE .*" from mysqldump result
- Fix for no DB password conf file reading
- Add logic for getting schema sql file
- Add logic for getting 1000 history records
- "-l" option is added for setting record number of history dump
- "tar.gz" becomes default compression instead of "tar.bz2"

* Wed Jul 3 2013 Takanori Suzuki <takanori.suzuki@miraclelinux.com> 1.1.2-1%{?dist}
- Add Zabbix + PostgreSQL environment support
- Remove mysql package dependency because now mlzbxinfo also works with PostgreSQL

* Mon Dec 3 2012 Takanori Suzuki <takanori.suzuki@miraclelinux.com> 1.1.1-1%{?dist}
- update mlzbxinfo to allow to set compression type
- update mlzbxinfo to allow to set process nice priority
- update mlzbxinfo to allow to set process ionice priority

* Mon Mar 26 2012 Takanori Suzuki <takanori.suzuki@miraclelinux.com> 1.1.0-1%{?dist}
- update mlzbxinfo to read socket setting from zabbix_server.conf
- update mlzbxinfo to stop command if mysql connection setting is not correct

* Fri Mar 2 2012 Takanori Suzuki <takanori.suzuki@miraclelinux.com> 1.0.9-1%{?dist}
- Add top command result to mlzbxinfo.

* Tue Dec 13 2011 Takanori Suzuki <takanori.suzuki@miraclelinux.com> 1.0.8-1%{?dist}
- Automatically read DB login info from zabbix_server.conf. -u and -B are not required in default anymore.
- Gathered secret info in conf files is overwritten by asterisk.

* Thu Sep 1 2011 Takanori Suzuki <takanori.suzuki@miraclelinux.com> 1.0.7-1%{?dist}
- Add mysql socket file option

* Tue Jul 19 2011 Takanori Suzuki <takanori.suzuki@miraclelinux.com> 1.0.6-1%{?dist}
- Add mysql host and port options

* Tue Apr 19 2011 Takanori Suzuki <takanori.suzuki@miraclelinux.com> 1.0.5-1%{?dist}
- change mlzbxinfo to get audit log

* Thu Sep 2 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> 1.0.4-1%{?dist}
- change mlzbxinfo to get /etc/zabbix/zabbix_proxy.conf

* Mon Jul 5 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> 1.0.3-1%{?dist}
- replace email address in mysql dump
- fix typo in collecting zabbix logs

* Wed May 19 2010 Kodai Terashima <terashima@miraclelinux.com> 1.0.2-1%{?dist}
- Add vmstat and mpstat command logs
- Add MySQL status, show_status, show_table_status, full_processlist, show_variables, innodb_status command logs
- Add file list of /var/lib/mysql
- Add verify zabbix-server, zabbix-server-mysql, zabbix-agent, zabbix-web packages

* Thu Jan 14 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> 1.0.1-1%{?dist}
- add some log collection about http, php, and zabbix conf files

* Fri Aug 21 2009 Takanori Suzuki <tsuzuki@miraclelinux.com> 1.0.0-1%{?dist}
- Initial build (Source0)
